tigase.jaxmpp.core.client.xmpp.modules.auth

## Interface AuthModule.AuthFailedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    AuthModule

      public static interface AuthModule.AuthFailedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AuthModule.AuthFailedHandler.AuthFailedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAuthFailed(SessionObject sessionObject, SaslModule.SaslError error)`

- - ### Method Detail

    - #### onAuthFailed

          void onAuthFailed(SessionObject sessionObject,
                            SaslModule.SaslError error)
                     throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.